
#include <PWM.h>

int32_t frequency = 133; //frequency (in Hz)

void setup()
{
    InitTimersSafe();

  //sets the frequency for the specified pin
  bool success = SetPinFrequencySafe(9, frequency);
  
  //if the pin frequency was set successfully, turn pin 13 on
  if(success) {
    pinMode(13, OUTPUT);
    digitalWrite(13, HIGH);    
  }
}

void loop()
{
  //read analog in from pot
  int sensorValue = analogRead(A0);
  pwmWrite(9, sensorValue / 4);
  
  
  delay(30);      
}

